.file_list_box.user_image {
    display: grid;
    width: 100%;
    height: auto;
    grid-template-columns: repeat(10, 1fr);
    gap: .5em;
    margin-top: .5rem;
    list-style: none;
}


.file_box.user_image {
    display: block;
    width: auto;
    height: auto;
    position: relative;
    border: 1px solid var(--border-color-04);
}
.file_box.user_image > .preview {
    display: flex;
    width:  100%;
    height: auto;
    aspect-ratio: 4 / 3;
    overflow: hidden;
    justify-content: center;
    align-items: center;

}
.file_box.user_image > .preview > span.loading {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: inline-block;
    font-size: 1.5em;
    line-height: 1;
    z-index: 1;
}
.file_box.user_image > .preview > img.user_image {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.file_box.user_image > .file_btn_box {
    display: flex;
    width: fit-content;
    height: auto;
    justify-content: right;
    gap: .1em;
    position: absolute;
    right: 0;
    top: 0;
    padding: 0;
    line-height: 1;
    z-index: 1;
}
.file_box.user_image > .file_btn_box > a {
    display: block;
    width: 1.25em;
    height: auto;
    padding: min(5px, min(1vw, 3px)) 0;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.65);
}
.file_box.user_image > .file_btn_box > a > span {
    display: inline-block;
    font-size: 1em;
    line-height: 1;
}
.file_box.user_image > .no {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
    padding: min(5px, min(1vw, 3px));
    background-color: rgba(255, 255, 255, 0.65);
    font-size: 0.9em;
    font-weight: 600;
}


@media (max-width: 1100px) {
    .file_list_box.user_image {
        grid-template-columns: repeat(8, 1fr);
    }
}

@media (max-width: 950px) {
    .file_list_box.user_image {
        grid-template-columns: repeat(6, 1fr);
    }
}

@media (max-width: 700px) {
    .file_list_box.user_image {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 580px) {
    .file_list_box.user_image {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 400px) {
    .file_list_box.user_image {
        grid-template-columns: repeat(2, 1fr);
    }
}
